Bug 709475 - Unable to select key type during PGP key generation
Unable to select key type during PGP key generation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: seahorse (Show other bugs)
15
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-31 15:12 EDT by John Carls
Modified: 2015-03-03 18:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 14:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of the problem (34.34 KB, image/png)
2011-05-31 15:12 EDT, John Carls
no flags Details
Relevant GTK warnings (1.07 KB, text/x-log)
2011-05-31 15:29 EDT, John Carls
no flags Details
Patch that works for the GtkComboBoxText object (1.28 KB, patch)
2011-06-01 00:34 EDT, John Carls
no flags Details | Diff

  None (edit)
Description John Carls 2011-05-31 15:12:20 EDT
Created attachment 502074 [details]
Screenshot of the problem

Description of problem:
When I try to create a new PGP key with Seahorse ("Passwords and Encryption Keys"), the combobox for selecting the key type doesn't get filled and I am unable to select a key type. No errors are reported. GPG commandline works fine.  I've attached a screenshot that illustrates the problem.

Impact:
Low: loss of UI function with commandline workaround

Version-Release number of selected component (if applicable):
3.0.1

How reproducible:
Every time

Steps to Reproduce:
1. Open Seahorse
2. File->New...
3. Select PGP Key
4. Expand "Advanced Key Options"
5. Try to select a key type in the "Encryption Type" combo box
  
Actual results:
There are no key types to select

Expected results:
Ability to select from a list of key types (RSA, DSA, eventually ECDSA, etc)

Additional info:
The code that populates the combo box differs between GTK 2 and 3.  The code is conditionally compiled starting on line 439 in the file "pgp/seahorse-gpgme-generate.c" found here:

http://git.gnome.org/browse/seahorse/tree/pgp/seahorse-gpgme-generate.c?id=8f643e3eca0aa918d6befa9ca44b689f9b79170f#n439

The problem may be related to the fact that "Note that you can only use this function [gtk_combo_box_append_text] with combo boxes constructed with gtk_combo_box_new_text()."
Comment 1 John Carls 2011-05-31 15:29:35 EDT
Created attachment 502075 [details]
Relevant GTK warnings

Attached a stderr log:

(seahorse:2430): GLib-GObject-WARNING **: invalid cast from `GtkComboBox' to `GtkComboBoxText'

(seahorse:2430): Gtk-CRITICAL **: gtk_combo_box_text_remove: assertion `GTK_IS_COMBO_BOX_TEXT (combo_box)' failed

(seahorse:2430): Gtk-CRITICAL **: gtk_combo_box_text_insert: assertion `GTK_IS_COMBO_BOX_TEXT (combo_box)' failed
Comment 2 John Carls 2011-06-01 00:34:43 EDT
Created attachment 502158 [details]
Patch that works for the GtkComboBoxText object

Added patch that only works for GTK+ version that support the GtkComboBoxText API.
Comment 3 Fedora End Of Life 2012-08-07 14:47:07 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.